<template>
	<view>
		<u-navbar :is-back="false" :title="tit">
			<view class="slot">
				<!-- 我的 -->
				<view class="slot_left" @click="bindridermy">
					<image :src="avatar" style="border-radius: 50%;"></image>
				</view>
				<!-- 下线 -->
				<view class="slot_content" v-show="seen">
					<image src="../../static/rider/icon_down.png"></image>
				</view>
				<!-- 上线 -->
				<view class="slot_content" v-show="!seen">
					<image src="../../static/rider/icon_up.png"></image>
				</view>
			</view>
		</u-navbar>
		<!-- tabs -->
		<u-tabs style="position: fixed;width: 100%;z-index: 999;" :list="tab" :is-scroll="false"
			inactive-color="#333333" :current="current" @change="change">
		</u-tabs>

		<view class="content">
			<!-- 新任务 -->
			<view class="tabs_box" :class="{dis:current == 0}">
				<!-- 下线中 -->
				<view class="list_box" v-for="(item,index) in list_box" :key="index" v-show="seen"
					@click="binddetails(item.indentNumber,item.indentType)">
					<view class="part1">
						<view class="box_one" v-if="item.indentType==1">帮我送</view>
						<view class="box_one" v-if="item.indentType==2">帮我取</view>
						<view class="box_one" v-if="item.indentType==3">同城帮买</view>
						<view class="box_one" v-if="item.indentType==4">同城服务</view>
						<view class="box_one" v-if="item.indentType==5">同城外卖</view>
						<view class="box_two" v-if="item.indentType==4 &&item.serviceType">{{item.serviceType}}
						</view>
						<view class="box_two box_two1" v-if="item.itemType!=null||item.itemWeight!=null">
							{{item.itemType}}&nbsp;{{item.itemWeight}}
						</view>
						<view class="box_three" v-if="item.indentType==4&&item.tool">{{item.tool}}</view>
					</view>
					<!-- 同城服务 -->
					<view class="part2" v-if="item.indentType==4">

						<view class="address_name">
							{{item.userAddressDetail}}({{item.userProvince}}{{item.userCity}}{{item.userDistrict}})
						</view>
						<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text></view> -->
					</view>
					<!-- 同城帮买 就近-->
					<view class="part2" v-if="item.indentType==3&&item.buyType==0">
						<view class="address_name">{{item.userAddressDetail}}</view>
						<view class="name"><text>{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}</text>
						</view>
					</view>
					<!-- 同城帮买 指定 -->
					<view class="part2" v-if="item.indentType==3 &&item.buyType==1">
						<view class="box_add">
							<view class="add_name">
								<view class="sh_name">
									{{item.shopAddressDetail}}
								</view>
								<view class="xs_add">
									{{item.shopProvince}}{{item.shopCity}}{{item.shopDistrict}}
								</view>
							</view>
						</view>
						<view class="jiantou">
							<image src="../../static/rider/jiantou.png"></image>
						</view>
						<view class="box_add">
							<view class="add_name">
								<view class="sh_name">
									{{item.userAddressDetail}}
								</view>
								<view class="xs_add">
									{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}
								</view>

							</view>
						</view>
					</view>
					<!-- 帮送 帮区-->
					<view class="part2" v-if="item.indentType==1 ||item.indentType==2">
						<view class="box_add">
							<view class="add_name">
								<view class="sh_name">
									{{item.shopAddressDetail}}
								</view>
								<view class="xs_add">
									{{item.shopProvince}}{{item.shopCity}}{{item.shopDistrict}}
								</view>
							</view>
						</view>
						<view class="jiantou">
							<image src="../../static/rider/jiantou.png"></image>
						</view>
						<view class="box_add">
							<view class="add_name">
								<view class="sh_name">{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}</view>
							</view>
						</view>
					</view>
					<!-- 同城外卖 -->
					<view class="part2" v-if="item.indentType==5">

						<view class="address_name">
							{{item.userAddressDetail}}({{item.userProvince}}{{item.userCity}}{{item.userDistrict}})
						</view>
						<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text></view> -->
					</view>

					<!--  -->
					<view class="part3">
						<view class="three_left">
							<!-- <image src="../../static/rider/icon_data.png"></image> -->
							<!-- <text v-if="item.indentType==1 ||item.indentType==2">{{item.predictTime}}分钟内送达</text> -->
							<!-- <text v-if="item.indentType==3">{{item.buyTime}}分钟内送达</text> -->
							<!-- <text v-if="item.indentType==4">{{item.visitTime}}分钟内送达</text> -->
						</view>
						<view class="three_right">¥{{item.errandMoney}}</view>
					</view>
					<view class="part4">
						<view class="box_btn" @click.stop="bindorder1">接单</view>
					</view>
				</view>
				<!-- 上线 -->
				<view class="list_box" v-for="(item,index) in list_box" :key="index" v-if="!seen"
					@click="binddetails(item.indentNumber,item.indentType)">
					<view class="part1">
						<view class="box_one" v-if="item.indentType==1">帮我送</view>
						<view class="box_one" v-if="item.indentType==2">帮我取</view>
						<view class="box_one" v-if="item.indentType==3">同城帮买</view>
						<view class="box_one" v-if="item.indentType==4">同城服务</view>
						<view class="box_one" v-if="item.indentType==5">同城外卖</view>
						<view class="box_two" v-if="item.indentType==4 &&item.serviceType">{{item.serviceType}}
						</view>
						<view class="box_two box_two1" v-if="item.itemType!=null||item.itemWeight!=null">
							{{item.itemType}}&nbsp;{{item.itemWeight}}
						</view>
						<view class="box_three" v-if="item.indentType==4&&item.tool">{{item.tool}}</view>
						<view class="box_two box_two1" v-if="item.indentType==3">{{item.buyType==0?'就近购买':'指定地点购买'}}
						</view>
						<view style="position: absolute;right: 0;font-size: 22rpx;color: #999;">{{item.createTime}}
						</view>
					</view>
					<!-- 同城服务 -->
					<view class="part2" v-if="item.indentType==4">
						<view class="box_add">
							<view class="distance" v-if="item.distancessd!='0.0m'">
								<view>{{item.distancessd}}</view>
							</view>
							<view class="add_name">
								<view class="address_name">
									{{item.userAddressDetail}}({{item.userProvince}}{{item.userCity}}{{item.userDistrict}})
								</view>
								<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text>
								</view> -->
							</view>
						</view>
					</view>
					<!-- 同城帮买 就近-->
					<view class="part2" v-if="item.indentType==3&&item.buyType==0">
						<view class="box_add">
							<view class="distance" v-if="item.distancessd!='0.0m'">
								<view>{{item.distancessd}}</view>
							</view>
							<view class="add_name">
								<view class="address_name">{{item.userAddressDetail}}</view>
								<view class="name">
									<text>{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}{{item.userAddressDetail}}</text>
								</view>
							</view>
						</view>
					</view>
					<!-- 同城帮买 指定 -->
					<view class="part2" v-if="item.indentType==3 &&item.buyType==1">
						<view class="box_add">
							<view class="distance" v-if="item.distancess!='0.0m'">
								<view>{{item.distancess}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.shopAddressDetail}}
									<!-- {{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}} -->
								</view>
								<view class="xs_add">
									{{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}}
								</view>
							</view>
						</view>
						<view class="jiantou">
							<image src="../../static/rider/jiantou.png"></image>
							<!-- <view>{{item.distance}}</view> -->
						</view>
						<view class="box_add">
							<view class="distance" v-if="item.distancessd!='0.0m'">
								<view>{{item.distancessd}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}{{item.userAddressDetail}}
								</view>
							</view>
						</view>
					</view>
					<!-- 帮送 帮取-->
					<view class="part2" v-if="item.indentType==1 ||item.indentType==2">
						<view class="box_add">
							<view class="distance" v-if="item.distancess!='0.0m'">
								<view>{{item.distancess}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.shopAddressDetail}}
									<!-- {{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}} -->
								</view>
								<view class="xs_add">
									{{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}}
								</view>
							</view>
						</view>
						<view class="jiantou">
							<image src="../../static/rider/jiantou.png"></image>
							<!-- <view>{{item.distance}}</view> -->
						</view>
						<view class="box_add">
							<view class="distance" v-if="item.distancessd!='0.0m'">
								<view>{{item.distancessd}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}{{item.userAddressDetail}}
								</view>
							</view>
						</view>
					</view>
					<!-- 同城外卖 -->
					<view class="part2" v-if="item.indentType==5">
						<view class="box_add">
							<view class="distance" v-if="item.distancess!='0.0m'">
								<view>{{item.distancess}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.shopAddressDetail}}
								</view>
								<view class="xs_add">
									{{item.shipAddress?item.shipAddress:''}}
								</view>
							</view>
						</view>
						<view class="jiantou">
							<image src="../../static/rider/jiantou.png"></image>
							<!-- <view>{{item.distance}}</view> -->
						</view>
						<view class="box_add">
							<view class="distance" v-if="item.distancessd!='0.0m'">
								<view>{{item.distancessd}}</view>
							</view>
							<view class="add_name">
								<view class="sh_name">
									{{item.userProvince}}{{item.userCity}}{{item.userDistrict}}{{item.userAddressDetail}}
								</view>
							</view>
						</view>
					</view>
					<view></view>
					<!--  -->
					<view class="part3">
						<view class="three_left" v-if="item.indentType==4">
							<image src="../../static/rider/icon_data.png"></image>
							<text>预约时间：{{item.sendOutTime?item.sendOutTime:'立即送达'}}</text>
						</view>
						<view class="three_left" v-if="item.indentType!=4">
							<image src="../../static/rider/icon_data.png"></image>
							<text>送达时间：{{item.sendOutTime?item.sendOutTime:'立即送达'}}</text>
						</view>
						<view class="three_right" v-if="item.riderMoney">¥{{item.riderMoney}}
							<!-- <text style="font-size: 20upx;">（<text
									v-if="item.prepayMoney">预付{{item.prepayMoney}}元</text>
								<text v-if="item.tip">小费{{item.tip}}元</text> 跑腿费{{item.errandMoney}}元）</text> -->
						</view>
						<view class="three_right" v-else>¥ 0</view>
					</view>
					<view class="part4">
						<view class="box_btn1" @click.stop="bindorder(item)">接单</view>
					</view>
				</view>
				<empty v-if="list_box.length == 0"></empty>
			</view>
			<!-- 待取货 -->
			<view class="tabs_box" :class="{dis:current == 1}">
				<view class="order_box" v-for="(item,index) in lists.list" :key="index"
					@click="bindorderDetail(item.indentNumber,item.indentId)">
					<view class="order_success" v-if="item.indentState=='2'">
						<view class="order_name">待支付领取</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='3'">
						<view class="order_name">待取货</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='4'">
						<view class="order_name">配送中</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='5'">
						<view class="order_name">已送达，客户待确认</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='6'">
						<view class="order_name">客户已确认</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='7'">
						<view class="order_name">已完成</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='9'">
						<view class="order_name">已取消</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<u-line color="#E6E6E6" />
					<view class="order_city">
						<view class="city_type">
							<view class="type_name" v-if="item.indentType == 1">帮我送</view>
							<view class="type_name" v-if="item.indentType == 2">帮我取</view>
							<view class="type_name" v-if="item.indentType == 3">同城帮买</view>
							<view class="type_name" v-if="item.indentType == 4">同城服务</view>
							<view class="type_name" v-if="item.indentType == 5">同城外卖</view>
							<view class="city_text" v-if="item.itemType">{{item.itemType}}</view>
						</view>
						<!-- 帮我送/帮我取 地址 -->
						<view class="city_address" v-if="item.indentType == 1 || item.indentType == 2">
							<view class="fh_box">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城帮买 指定位置 -->
						<view class="city_address" v-if="item.indentType == 3">
							<view class="fh_box" v-if="item.buy_type == 1">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城服务  -->
						<view class="city_address" v-if="item.indentType == 4">
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城外卖 -->
						<view class="city_address" v-if="item.indentType == 5">
							<view class="fh_box">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
					</view>
					<u-line color="#E6E6E6" />
					<view class="order_btn">
						<view class="btn1" v-if="item.indentState=='3'" @click.stop="quxiao(item.indentNumber)">取消订单
						</view>
						<view class="btn2" v-if="item.indentState=='3'" @click.stop="quhuo(item.indentId)">确认取货
						</view>
					</view>
				</view>
				<empty v-if="lists.list.length == 0"></empty>
			</view>

			<!-- 配送中-->
			<view class="tabs_box" :class="{dis:current == 2}">
				<view class="order_box" v-for="(item,index) in lists.list" :key="index"
					@click="bindorderDetail(item.indentNumber,item.indentId)">
					<view class="order_success" v-if="item.indentState=='2'">
						<view class="order_name">待支付领取</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='3'">
						<view class="order_name">待取货</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='4'">
						<view class="order_name">配送中</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='5'">
						<view class="order_name">已送达，客户待确认</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='6'">
						<view class="order_name">客户已确认</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='7'">
						<view class="order_name">已完成</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<view class="order_success" v-if="item.indentState=='9'">
						<view class="order_name">已取消</view>
						<view class="order_data">{{item.receivingTime}}</view>
					</view>
					<u-line color="#E6E6E6" />
					<view class="order_city">
						<view class="city_type">
							<view class="type_name" v-if="item.indentType == 1">帮我送</view>
							<view class="type_name" v-if="item.indentType == 2">帮我取</view>
							<view class="type_name" v-if="item.indentType == 3">同城帮买</view>
							<view class="type_name" v-if="item.indentType == 4">同城服务</view>
							<view class="type_name" v-if="item.indentType == 5">同城外卖</view>
							<view class="city_text" v-if="item.itemType">{{item.itemType}}</view>
						</view>
						<!-- 帮我送/帮我取 -->
						<view class="city_address" v-if="item.indentType == 1 || item.indentType == 2">
							<view class="fh_box">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城帮买 -->
						<view class="city_address" v-if="item.indentType == 3">
							<view class="fh_box" v-if="item.buy_type == 1">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城服务 -->
						<view class="city_address" v-if="item.indentType == 4">
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>
						<!-- 同城外卖 -->
						<view class="city_address" v-if="item.indentType == 5">
							<view class="fh_box">
								<view class="fh_image">
									<image src="../../static/image/icon_f.png"></image>
								</view>
								<view class="box">
									<view class="fh_name">{{item.shopAddressDetail}}</view>
									<view class="fh_type">{{item.shopName}}
										<text>{{item.shopPhone}}</text>
									</view>
								</view>
							</view>
							<view class="sh_box">
								<view class="sh_image">
									<image src="../../static/image/icon_s.png"></image>
								</view>
								<view class="box">
									<view class="sh_name">{{item.userAddressDetail}}</view>
									<view class="sh_type">{{item.userName}}
										<text>{{item.userPhone}}</text>
									</view>
								</view>
							</view>
						</view>

					</view>
					<u-line color="#E6E6E6" />
					<view class="order_btn">
						<view class="btn1" v-if="item.indentState=='3'" @click.stop="quxiao(item.indentNumber)">取消订单
						</view>
						<view class="btn1" v-if="item.indentState=='6'">客户待确认</view>
						<view class="btn2" v-if="item.indentState=='3'" @click.stop="quhuo(item.indentId)">确认取货
						</view>
						<view class="btn2" v-if="item.indentState=='4'" @click.stop="shouhuo(item)">确认送达
						</view>
						<view class="btn2" v-if="item.indentState=='9'">已取消</view>
					</view>
				</view>
				<empty v-if="lists.list.length == 0"></empty>
			</view>


		</view>
		<!-- tabbar -->
		<view class="tabbar">
			<view class="tabbar_type" @click="onshow" v-if="current == 0">
				<view class="type_image">
					<image src="../../static/rider/type.png"></image>
				</view>
				接单设置
			</view>
			<view class="tabbar_btn" @click="bindup">
				<view class="btn" v-show="seen">
					开始接单
				</view>
				<view class="btn3" v-show="!seen">
					停止接单
				</view>
			</view>
		</view>

		<!-- 接单设置弹框 -->
		<u-popup v-model="show" mode="bottom" height="600rpx" :closeable="true" close-icon="close-circle"
			close-icon-size="50" close-icon-color="#CCCCCC" @close="closePopup()">
			<view class="popup_box">
				<view class="title">当前接单模式</view>
				<!-- <view class="part_one">
					<view class="left">
						<view class="gotype">近单模式</view>
						<view class="tit">推单范围{{distance?distance:'0'}}</view>
					</view>
					<view class="right">
						<u-switch v-model="checked" size="40" inactive-color="#CCCCCC" active-color="#FF6A04"
							@change="switch1">
						</u-switch>
					</view>
				</view>
				<view class="part_one">
					<view class="left">
						<view class="gotype">同城模式</view>
						<view class="tit">推单范围{{distance?distance:'0'}}</view>
					</view>
					<view class="right">
						<u-switch v-model="check" size="40" inactive-color="#CCCCCC" active-color="#FF6A04"
							@change="switch2"></u-switch>
					</view>
				</view> -->
				<view class="part_two">
					<view class="two_left">接单类型</view>
					<view class="two_right" @click="showModals()">
						{{indentTypeName}}
						<u-icon name="arrow-right" color="#999999"></u-icon>
					</view>
				</view>
				<view class="part_two">
					<view class="two_left">常驻送货区域</view>
					<view class="two_right" @click="dizhis()">
						{{quyu}}
						<u-icon name="arrow-right" color="#999999"></u-icon>
					</view>
				</view>
				<view class="part_one" v-if="checkxdd != '否'">
					<view class="left">
						<view class="gotype">新订单通知</view>
						<view class="tit">开启后{{xddNumber}}KM内，系统自动推送新订单通知</view>
					</view>
					<view class="right">
						<u-switch v-model="xddcheck" size="40" inactive-color="#CCCCCC" active-color="#FF6A04"
							@change="switchxdd"></u-switch>
					</view>
				</view>
				<view class="part_two">
					<view class="two_left">同时接单量</view>
					<view class="two_right">
						最大({{orderNum}}单)
						<!-- <u-icon name="arrow-right" color="#999999"></u-icon> -->
					</view>
				</view>
			</view>
		</u-popup>
		<u-popup v-model="Authorization" mode="center" close-icon="close-circle" close-icon-pos="top-right"
			close-icon-color="#8f9298" close-icon-size="50">
			<view class="contentview">
				<view class="title">隐私保护指引</view>
				<view class="des" @click="openPrivacyContract">
					在使用当前小程序服务之前，请仔细阅读<text
						style="color: #FF7F00;">{{privacyContractName}}</text>。如你同意{{privacyContractName}}，请点击“同意”开始使用。
				</view>
				<view class="btns">
					<button class="item reject" @click="exitMiniProgram">拒绝</button>
					<button id="agree-btn" class="item agree" open-type="agreePrivacyAuthorization"
						@agreeprivacyauthorization="handleAgreePrivacyAuthorization">同意</button>
				</view>
			</view>
		</u-popup>
		<!-- 类型选择-->
		<u-modal v-model="showModal" title="选择订单类型" :show-cancel-button="true" @confirm="confirm()">
			<view class="slot-content">
				<u-radio-group v-model="indentTypeName" @change="radioGroupChange" width="50%">
					<u-radio v-for="(item, index) in indentTypeList" :key="index" :name="item.name"
						:disabled="item.disabled" @change="radioChange">
						{{item.name}}
					</u-radio>
				</u-radio-group>
			</view>
		</u-modal>
		<!-- 收货码弹框 -->
		<u-popup v-model="shows" mode="center" border-radius="18" :closeable="closeable" close-icon="close-circle"
			close-icon-size="45" width="580rpx" height="400rpx">
			<view class="receipt_code">
				<view class="code_title">填写收货码</view>
				<u-input v-model="shouhuoma" type="text" placeholder="请输入收货码" :border="true" />
				<view class="sure" @click="querenSh">确定</view>
			</view>
		</u-popup>
	</view>
</template>

<script>
	import empty from '@/components/empty'
	import {
		requestAndroidPermission,
		gotoAppPermissionSetting
	} from '@/components/permission.js'
	export default {
		components: {
			empty
		},
		onShareAppMessage(res) { //发送给朋友
			return {
				title: this.tuiguang,
				path: '/pages/index/index',
				imageUrl: this.tuiguangImg,
			}
		},
		onShareTimeline(res) { //分享到朋友圈
			return {
				title: this.tuiguang,
				path: '/pages/index/index',
				imageUrl: this.tuiguangImg,
			}
		},
		data() {
			return {
				Authorization: false,
				privacyContractName: '',
				checkxdd: '否',
				xddNumber: 0,
				xddcheck: true,
				avatar: '', //头像
				// 接单设置弹框
				show: false,
				tuiguang: '',
				tuiguangImg: '',
				closeable: true,
				checked: false,
				check: true,
				showModal: false,
				// head
				tit: '休息中',
				seen: true,
				tab: [{
					name: '接单池'
				}, {
					name: '待取货'
				}, {
					name: '配送中'
				}, {
					name: '我的订单'
				}],
				current: 0,
				page: 1,
				list_box: [],
				list_tip: [],
				take_list: [],
				longitude: '', //经度
				latitude: '', //纬度
				indentType: null, //订单类型
				indentTypeName: '全部',
				indentTypeList: [{
						name: '全部',
						disabled: false
					},
					{
						name: '帮我取',
						disabled: false
					},
					{
						name: '帮我送',
						disabled: false
					},
					{
						name: '同城帮买',
						disabled: false
					},
					{
						name: '同城服务',
						disabled: false
					}, {
						name: '同城外卖',
						disabled: false
					},
				],
				quyu: '设置自己的常在位置',
				quyuLongitude: '',
				quyuLatitude: '',
				totalCount: 0, //最后一页
				indentState: 3,
				lists: {
					list: []
				},
				shows: false,
				shouhuoma: '',
				userId: '', //用户id
				checkCertification: '', //是否实名认证
				receivingPettern: 2, //1近单模式  2同城模式
				province: '',
				city: '',
				district: '',
				time: '',
				distance: "",
				jiedanSuccess: '',
				jiedan: "",
				arr: [],
				showModal111: true,
				orderNum: 0,
			}
		},
		onHide() {
			clearInterval(this.time)
		},
		onLoad() {
			uni.showLoading({
				title: '加载中...'

			})
			var dizhi = uni.getStorageSync('dizhi')
			if (dizhi.longitude) {
				this.longitude = dizhi.longitude
				this.latitude = dizhi.latitude
			}
			this.taskData()
			let that = this
			this.time = setInterval(function() {
				that.taskData()
				that.getLocation()
			}, 5000)
			
			// #ifdef MP-WEIXIN
			try {
				wx.getPrivacySetting({
					success: res => {
						console.log("是否需要授权：", res.needAuthorization, "隐私协议的名称为：", res.privacyContractName)
						if (res.needAuthorization) {
							that.privacyContractName = res.privacyContractName;
							// this.$refs.popusAuthorization.open();
							that.Authorization = true;
						}
					},
					fail: () => {},
					complete: () => {},
				})
			} catch (e) {
				//TODO handle the exception
			}
			// #endif
			
		},
		onShow() {
			let that = this
			that.getOrderNum()
			//是否开启骑手新订单推送 340
			that.$Request.getT('/app/common/type/340').then(res => {
				if (res.code === 0) {
					that.checkxdd = res.data.value
				}
			});
			//骑手新订单通知范围（km） 339
			that.$Request.getT('/app/common/type/339').then(res => {
				if (res.code === 0) {
					that.xddNumber = res.data.value
				}
			});

			that.$Request.getT('/app/common/type/331').then(res => {
				if (res.code === 0) {
					uni.setStorageSync('tuiguang', res.data.value)
					that.tuiguang = res.data.value
				}
			});

			that.$Request.getT('/app/common/type/332').then(res => {
				if (res.code === 0) {
					uni.setStorageSync('tuiguangImg', res.data.value)
					that.tuiguangImg = res.data.value

				}
			});

			// 自动派单距离
			that.$Request.getT('/app/common/type/303').then(res => {
				if (res.code === 0) {
					if (res.data.value > 1000) {
						that.distance = res.data.value / 1000 + '公里'
					} else if (res.data.value > 100) {
						that.distance = res.data.value + 'm'
					}
				}
			});
			//骑手端接单成功通知
			that.$Request.getT('/app/common/type/310').then(res => {
				if (res.code === 0) {
					// this.jiedan = res.data.value
					that.arr.push(res.data.value)
				}
			});
			//骑手端订单完成通知
			that.$Request.getT('/app/common/type/311').then(res => {
				if (res.code === 0) {
					// this.jiedanSuccess = res.data.value
					that.arr.push(res.data.value)
				}
			});
			//用户端骑手转单订单通知 338
			that.$Request.getT('/app/common/type/338').then(res => {
				if (res.code === 0) {
					that.arr.push(res.data.value)
				}
			});
			//用户端骑手转单订单通知 335
			// that.$Request.getT('/app/common/type/335').then(res => {
			// 	if (res.code === 0) {
			// 		that.arr.push(res.data.value)
			// 	}
			// });

			that.avatar = uni.getStorageSync('avatar') ? uni.getStorageSync('avatar') : '../../static/logo.png'
			that.userId = uni.getStorageSync('userId')
			if (that.userId) {
				console.log(that.userId, '用户id')
				uni.getLocation({
					type: 'gcj02', //返回可以用于uni.openLocation的经纬度
					success: function(res) {
						console.log('当前位置的经度：' + res.longitude);
						console.log('当前位置的纬度：' + res.latitude);
						let data = {
							lat: res.latitude,
							lng: res.longitude
						}
			
						that.$Request.getT('/app/Login/selectCity', data).then(res => {
							if (res.code == 0) {
								that.province = res.data.province
								that.city = res.data.city
								that.district = res.data.district
							}
						});
					},
					fail(e) {
						uni.hideLoading();
						uni.showModal({
							title: '温馨提示',
							content: '您的定位权限未开启，请开启后再来操作吧！',
							showCancel: true,
							cancelText: '取消',
							confirmText: '确认',
							success: res => {
								if (res.confirm) {
									// #ifdef MP-WEIXIN
									uni.openSetting({ // 打开设置页
										success(rea) {
											console.log(rea.authSetting)
										}
									});
									// #endif
									// #ifdef APP-PLUS
									gotoAppPermissionSetting()
									// #endif
								}
							}
						});
					}
				});
			
			
				that.getUserInfo()
			}
			// #ifdef MP-WEIXIN
			//订阅
			if (that.userId) {
				if (that.showModal111) {
					that.openMsg()
				}
			}
			// #endif
		},
		methods: {
			// 打开隐私协议页面
			openPrivacyContract() {
				let that = this;
				wx.openPrivacyContract({
					fail: () => {
						that.$queue.showToast('遇到错误无法打开！');
					}
				})
			},
			// 拒绝隐私协议
			exitMiniProgram() {
				// 直接退出小程序
				wx.exitMiniProgram()
			},
			// 同意隐私协议
			handleAgreePrivacyAuthorization() {
				// this.$refs.popusAuthorization.close();
				this.Authorization = false;
				let that = this;
				uni.getLocation({
					type: 'gcj02', //返回可以用于uni.openLocation的经纬度
					success: function(res) {
						console.log('当前位置的经度：' + res.longitude);
						console.log('当前位置的纬度：' + res.latitude);
						let data = {
							lat: res.latitude,
							lng: res.longitude
						}
				
						that.$Request.getT('/app/Login/selectCity', data).then(res => {
							if (res.code == 0) {
								that.province = res.data.province
								that.city = res.data.city
								that.district = res.data.district
							}
						});
					},
					fail(e) {
						uni.hideLoading();
						uni.showModal({
							title: '温馨提示',
							content: '您的定位权限未开启，请开启后再来操作吧！',
							showCancel: true,
							cancelText: '取消',
							confirmText: '确认',
							success: res => {
								if (res.confirm) {
									// #ifdef MP-WEIXIN
									uni.openSetting({ // 打开设置页
										success(rea) {
											console.log(rea.authSetting)
										}
									});
									// #endif
									// #ifdef APP-PLUS
									gotoAppPermissionSetting()
									// #endif
								}
							}
						});
					}
				});
			},
			//获取最大接单数
			getOrderNum() {
				// orderNum
				this.$Request.get('/app/common/type/342').then(res => {
					if (res.code == 0 && res.data.value) {
						this.orderNum = res.data.value
					}
				});
			},
			// 上传骑手位置
			getLocation() {
				if (this.userId) {
					let data = {
						lng: this.longitude,
						lat: this.latitude,
						userId: this.userId,
						province: this.province,
						city: this.city,
						district: this.district,
					}
					this.$Request.getT('/timedtask/riderLocation', data).then(res => {
						if (res.code = 0) {
							console.log('上传骑手位置')
						}
					});
				}

			},
			switchxdd(e) {
				this.xddcheck = e;
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				let isSendMsg = 1;
				if (!this.xddcheck) {
					isSendMsg = 2;
				}
				let data = {
					isSendMsg: isSendMsg
				}
				this.$Request.postJson('/app/user/updateUser', data).then(res => {
					if (res.code == 0) {

					}
				});
			},
			//获取用户信息
			getUserInfo() {
				let that = this
				that.$Request.getT('/app/userinfo/findUserInfoById').then(res => {
					if (res.code == 0 && res.data) {
						that.seen = res.data.onLineFlag == 1 ? false : true
						// that.xddcheck = res.data.isSendMsg == 2 ? false : true;
						that.checkCertification = res.data.checkCertification
						uni.setStorageSync("checkCertification", res.data.checkCertification);
						if (that.seen) {
							that.tit = '休息中'
						} else {
							that.tit = '接单中'
							// that.locationUpdate()
						}
						uni.getLocation({
							type: 'wgs84',
							success: function(res) {
								console.log('当前位置的经度：' + res.longitude);
								console.log('当前位置的纬度：' + res.latitude);
								that.longitude = res.longitude
								that.latitude = res.latitude
								that.locationUpdate(that.longitude, that.latitude)
								if (that.current == 0) {
									that.taskData()
								} else if (that.current == 1) {
									that.indentState = 3
									that.taskDataJ()
								} else if (that.current == 2) {
									that.indentState = 4
									that.taskDataJ()
								}
							}
						});
					}
				});
			},
			// 顶部tab切换
			change(index) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				this.current = index;
				this.page = 1
				if (index == 0) { //接单池
					uni.showLoading({
						title: '加载中...'
					})
					this.taskData()
				} else if (index == 1) { //待取货
					uni.showLoading({
						title: '加载中...'
					})
					this.indentState = 3
					this.taskDataJ()
				} else if (index == 2) { //配送中
					uni.showLoading({
						title: '加载中...'
					})
					this.indentState = 4
					this.taskDataJ()
				} else if (index == 3) { //全部订单
					// uni.showLoading({
					// 	title: '加载中...'
					// })
					this.current = 0;
					uni.navigateTo({
						url: '/pages/riderMy/order'
					})
				}
			},
			// 上下线
			bindup() {
				let that = this
				if (!that.userId) {
					uni.navigateTo({
						url: '/pages/login/login'
					})
					return
				}
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				let content = ''
				if (that.seen) {
					content = '确认开始接单吗'
				} else {
					content = '确认停止接单吗'
				}
				uni.showModal({
					title: '提示',
					content: content,
					success: function(res) {
						if (res.confirm) {
							that.$Request.postT('/app/userinfo/updateOnLine', {
								onLineFlag: that.seen ? 1 : 2,
							}).then(res => {
								that.getUserInfo()

							});
						}
					},
				})

			},
			// 更新骑手位置信息
			locationUpdate(lng, lat) {
				let that = this
				// setInterval(function() {
				that.$Request.postT('/app/userinfo/updateCoordinate', {
					lng: lng,
					lat: lat,
				}).then(res => {
					console.log('位置信息更新', res)
					that.taskData()
				});
				// }, 600000)

			},
			// 跳转订单详情
			binddetails(id, types) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				console.log('```', id, types)
				if (types == 1 || types == 2 || types == 3 || types == 5) {
					uni.navigateTo({
						url: '/pages/index/buyOrder/buyOrder?id=' + id
					})
				} else {
					uni.navigateTo({
						url: '/pages/index/cityOrder/cityOrder?id=' + id
					})
				}

			},
			// 接单
			bindorder(item) {
				let that = this
				if (!that.userId) {
					uni.showModal({
						title: '提示',
						content: '请先登录后再接单',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/login/login'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
					return;
				}
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				if (that.checkCertification == null) {
					uni.showModal({
						title: '提示',
						content: '请先实名认证后再接单',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/riderMy/approve/approve'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
					return;
				}
				if (that.checkCertification == 0) {
					uni.showToast({
						title: '实名认证审核中,无法接单',
						icon: 'none'
					});
					return;
				}
				if (that.checkCertification == 2) {
					uni.showToast({
						title: '实名认证未通过,无法接单',
						icon: 'none'
					});
					return;
				}

				uni.showModal({
					title: '提示',
					content: '确认接单吗',
					success: function(res) {
						if (res.confirm) {
							console.log('用户点击确定');
							that.$Request.postT('/app/tbindent/indentReceiving', {
								indentNumber: item.indentNumber
							}).then(res => {
								if (res.code == 0) {
									that.page = 1
									that.taskData()
									uni.showToast({
										title: '接单成功',
										icon: 'none',
										duration: 1000
									});
								} else {
									console.log('失败：', res.data)
									uni.showToast({
										title: res.msg,
										icon: 'none',
										duration: 1500
									});
									that.page = 1
									that.taskData()
								}
							});
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});

			},
			// 未登录接单
			bindorder1() {
				uni.showToast({
					title: '上线后方可接单',
					icon: 'none'
				})
			},
			bindridermy() {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				uni.navigateTo({
					url: '/pages/riderMy/riderMy'
				})
			},
			onshow() {
				console.log('第一个')
				this.show = true
			},
			// 获取新任务数据
			taskData() {
				this.$Request.postJson('/app/tbindent/findNewIndent', {
					page: this.page,
					limit: 10,
					riderlat: this.longitude,
					riderlng: this.latitude,
					receivingPettern: this.receivingPettern,
					indentType: this.indentType,
				}).then(res => {
					uni.hideLoading()
					if (res.data) {
						if (res.data.list.length > 0) {
							for (var i = 0; i < res.data.list.length; i++) {
								if (res.data.list[i].distancess > 1000) {
									res.data.list[i].distancess = Number((res.data.list[i].distancess / 1000))
										.toFixed(
											2) + "km"
								} else {
									if (res.data.list[i].distancess == '0') {
										res.data.list[i].distancess = "0m";
									} else {
										res.data.list[i].distancess = Number(res.data.list[i].distancess).toFixed(
												1) +
											"m";
									}
								}

								// if (res.data.list[i].distance > 1000) {
								// 	res.data.list[i].distance = Number((res.data.list[i].distance / 1000)).toFixed(2) + "km"
								// } else {
								// 	if (res.data.list[i].distance == 0) {
								// 		res.data.list[i].distance = "0m";
								// 	} else {
								// 		res.data.list[i].distance = Number(res.data.list[i].distance).toFixed(1) + "m";
								// 	}
								// }

								if (res.data.list[i].distancessd > 1000) {
									res.data.list[i].distancessd = Number((res.data.list[i].distancessd / 1000))
										.toFixed(2) + "km"
								} else {
									if (res.data.list[i].distancessd == '0') {
										res.data.list[i].distancessd = "0m";
									} else {
										res.data.list[i].distancessd = Number(res.data.list[i].distancessd)
											.toFixed(
												1) + "m";
									}
								}

							}
						}
						this.totalCount = res.data.totalCount
						if (this.page == 1) {
							this.list_box = res.data.list
						} else {
							this.list_box = this.list_box.concat(list)
						}
					}
					this.$forceUpdate()
					uni.stopPullDownRefresh();
				});
			},
			// 获取待取货和配送中订单
			taskDataJ() {
				// uni.showLoading({
				// 	title: '加载中'
				// });
				this.$Request.getT('/app/tbindent/findRiderIndent', {
					page: this.page,
					limit: 10,
					indentState: this.indentState
					// ol: this.longitude,
					// od: this.latitude
				}).then(res => {
					uni.hideLoading()
					if (this.page == 1) {
						this.lists = res.data
					} else {
						this.lists = this.lists.concat(res.data.list)
					}
					for (var i in this.lists) {
						if (this.lists[i].distanceInitial > 1000) {
							this.lists[i].distanceInitials = (Number(this.lists[i].distanceInitial) / 1000)
								.toFixed(2)
						}
						if (this.lists[i].distance > 1000) {
							this.lists[i].distances = (Number(this.lists[i].distance) / 1000).toFixed(2)
						}
					}
					console.log('lists', this.lists)
					uni.stopPullDownRefresh();
				});
			},
			switch1(e) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				this.checked = e
				this.check = !this.check

				if (e == true) {

					this.receivingPettern = 1
				}
				if (e == false) {
					// this.checked = false
					// this.check = true
					this.receivingPettern = 2
				}
				console.log(e)
			},
			switch2(e) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				console.log(e)
				this.check = e
				this.checked = !this.check
				if (e == true) {
					// this.checked = true
					// this.check = false
					this.receivingPettern = 2
				}
				if (e == false) {
					// this.checked = false
					// this.check = true
					this.receivingPettern = 1
				}
			},
			// 打开类型选择模态框
			showModals() {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				this.showModal = true
			},
			radioChange(e) {
				// console.log(e);
			},
			radioGroupChange(e) {
				console.log('······2', e);
				this.indentTypeName = e

			},
			// 点击确定按钮
			confirm() {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				if (this.indentTypeName == '全部') {
					this.indentType = null
				}
				if (this.indentTypeName == '帮我取') {
					this.indentType = 2
				}
				if (this.indentTypeName == '帮我送') {
					this.indentType = 1
				}
				if (this.indentTypeName == '同城帮买') {
					this.indentType = 3
				}
				if (this.indentTypeName == '同城服务') {
					this.indentType = 4
				}
				if (this.indentTypeName == '同城外卖') {
					this.indentType = 5
				}
			},
			// 获取地址
			dizhis() {
				var that = this
				uni.chooseLocation({
					success: function(res) {
						console.log(res)

						uni.setStorageSync('dizhi', res);
						that.quyu = res.name
						that.quyuLongitude = res.longitude
						that.quyuLatitude = res.latitude

					}
				});
			},
			// 关闭底部弹出层
			closePopup() {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				this.page = 1
				if (this.quyuLongitude != '') {
					this.longitude = this.quyuLongitude
					this.latitude = this.quyuLatitude
				}
				this.taskData()
			},
			// 订单详情
			bindorderDetail(indentNumber, orderId) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				console.log(indentNumber, orderId)
				uni.navigateTo({
					url: '/pages/index/orderdetail/orderdetail?orderId=' + orderId + '&id=' + indentNumber
				})
			},
			// 取消订单
			quxiao(indentNumber) {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				let that = this
				uni.showModal({
					title: '提示',
					content: '取消订单将会被扣保证金',
					success: function(res) {
						if (res.confirm) {
							console.log('用户点击确定');
							that.$Request.postT('/app/tbindent/riderCancleIndent', {
								indentNumber: indentNumber
							}).then(res => {
								console.log(res)
								if (res.code == 0) {
									uni.showToast({
										title: '订单已取消',
										icon: "none"
									});
									that.taskDataJ()
								} else {
									uni.showToast({
										title: res.msg,
										icon: "none"
									});
									that.taskDataJ()
								}
							});
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			quhuo(indentId) {
				let that = this
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				uni.showModal({
					title: '提示',
					content: '确认到取货吗',
					success: function(res) {
						if (res.confirm) {
							that.$Request.postJson('/app/tbindent/riderBuyGoods', {
								indentId: indentId,
								indentState: '4'
							}).then(res => {
								console.log(res)
								if (res.code == 0) {
									uni.showToast({
										title: '确认取货成功',
										icon: "none"
									});
									// that.indentState = 4
									setTimeout(function() {
										that.taskDataJ()
										// that.current = 2

									}, 1000)
								} else {
									uni.showToast({
										title: res.msg,
										icon: "none"
									});
									setTimeout(function() {
										that.taskDataJ()
										// that.current = 2

									}, 1000)
								}
							});
						} else {

						}
					},
				})

			},
			shouhuo(e) {
				console.log('第二个')
				this.indentNumber = e.indentNumber
				// if(e.indentType==5){
				// 	this.querenSh()
				// }
				if (e.itemCodeFlag == 0 && e.indentType != 5) {
					this.shows = true

				} else {
					this.querenSh()
				}

			},
			querenSh() {
				// #ifdef MP-WEIXIN
				if (uni.getStorageSync('sendMsg')) {
					uni.requestSubscribeMessage({
						tmplIds: this.arr,
						success(re) {
							// console.log(re,'**********')
							var datas = JSON.stringify(re);
							if (datas.indexOf("accept") != -1) {
								console.log(re)
							}
						},
						fail: (res) => {
							console.log(res)
						}
					})
				}
				// #endif
				let that = this
				// var date = new Date();
				// var year = date.getFullYear();
				// let Rcode = year + that.shouhuoma
				that.$Request.postT('/app/tbindent/riderDelivery', {
					indentNumber: that.indentNumber,
					// itemCode: Rcode
					itemCode: that.shouhuoma
				}).then(res => {
					console.log(res)
					that.shouhuoma = '';
					if (res.code == 0) {
						that.shows = false
						uni.showToast({
							title: '订单完成',
							icon: "none"
						});
						this.lists = []
						that.taskDataJ()
					} else {
						uni.showToast({
							title: res.msg,
							icon: "none"
						});
						that.taskDataJ()
					}
				});
			},
			// 开启订阅消息
			openMsg() {
				console.log('订阅消息')
				var that = this
				uni.getSetting({
					withSubscriptions: true, //是否获取用户订阅消息的订阅状态，默认false不返回
					success(ret) {
						console.log(ret.subscriptionsSetting, '------------------')
						// if (ret.subscriptionsSetting.itemSettings && Object.keys(ret.subscriptionsSetting.itemSettings).length == 2) {
						if (ret.subscriptionsSetting.itemSettings) {
							uni.setStorageSync('sendMsg', true)
							uni.openSetting({ // 打开设置页 
								success(rea) {
									console.log(rea.authSetting)
								}
							});
						} else { // 用户没有点击“总是保持以上，不再询问”则每次都会调起订阅消息
							uni.setStorageSync('sendMsg', false)
							uni.showModal({
								title: '提示',
								content: '为了更好的体验,请绑定消息推送',
								confirmText: '确定',
								cancelText: '取消',
								success: function(res) {
									if (res.confirm) {
										wx.requestSubscribeMessage({
											tmplIds: that.arr,
											success(re) {
												var datas = JSON.stringify(re);
												if (datas.indexOf("accept") != -1) {
													console.log(re)
													// uni.setStorageSync('sendMsg', true)
												}
											},
											fail: (res) => {
												console.log(res)
											}
										})
										// uni.setStorageSync('sendMsg', true)

										that.showModal111 = false
									} else if (res.cancel) {
										console.log('取消')
										// uni.setStorageSync('sendMsg', false)
										that.showModal111 = true
									}
								}
							})
						}
					}
				})
			},
		},
		// 上拉加载
		onReachBottom: function() {
			if (this.page < this.totalCount) {
				this.page = this.page + 1;
			} else {

				uni.showToast({
					title: '已经最后一页啦',
					icon: 'none'
				})
			}

			this.taskData();
		},
		onPullDownRefresh: function() {
			this.page = 1;
			if (this.current == 0) {
				this.taskData();
			} else {
				this.taskDataJ();
			}

		},
	}
</script>

<style>
	body {
		background: #F5F5F5;
	}
	
	.privacy {
		position: fixed;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		background: rgba(0, 0, 0, .5);
		z-index: 9999999;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	  
	.contentview {
		width: 632rpx;
		padding: 48rpx;
		box-sizing: border-box;
		background: #fff;
		border-radius: 16rpx;
	}
	  
	.contentview .title {
		text-align: center;
		color: #333;
		font-weight: bold;
		font-size: 32rpx;
	}
	  
	.contentview .des {
		font-size: 26rpx;
		color: #666;
		margin-top: 40rpx;
		text-align: justify;
		line-height: 1.6;
	}
	  
	.contentview .des .link {
		color: #07c160;
		text-decoration: underline;
	}
	  
	button::after {
		border: none;
	}
	  
	.btns {
		margin-top: 48rpx;
		display: flex;
	}
	  
	.btns .item {
		justify-content: space-between;
		width: 244rpx;
		height: 80rpx;
		display: flex;
		align-items: center;
		justify-content: center;
		border-radius: 16rpx;
		box-sizing: border-box;
		border: none;
	}
	  
	.btns .reject {
		background: #f4f4f5;
		color: #909399;
	}
	  
	.btns .agree {
		background: #07c160;
		color: #fff;
	}
	
	.content {
		margin-top: 100rpx;
	}

	.slot-wrap {
		display: flex;
		justify-content: center;
		align-items: center;
		/* 如果您想让slot内容占满整个导航栏的宽度 */
		/* flex: 1; */
		/* 如果您想让slot内容与导航栏左右有空隙 */
		/* padding: 0 30rpx; */
	}

	.u-title {
		color: #000000 !important;
		font-size: 31rpx !important;
		font-weight: bold !important;

	}

	.solt {
		position: relative;
	}

	.slot_left {
		width: 60rpx;
		height: 60rpx;
		position: absolute;
		top: 15rpx;
		left: 20rpx;
	}

	.slot_left image {
		width: 60rpx;
		height: 60rpx;
	}

	.slot_content {
		width: 35rpx;
		height: 35rpx;
		position: absolute;
		top: 26rpx;
		left: 280rpx;
	}

	.slot_content image {
		width: 35rpx;
		height: 35rpx;
	}

	/* tabs */
	.u-tab-item {
		color: #333333 !important;
		/* font-size: 26rpx !important; */
		letter-spacing: 2rpx;
	}

	.u-tab-bar {
		width: 65rpx !important;
		height: 8rpx !important;
		background-color: #FF7F00 !important;
		border-radius: 0rpx !important;
		position: absolute !important;
		bottom: 0rpx !important;
		left: -14rpx !important;
	}

	.tabs_box {
		display: none;
		padding-bottom: 120rpx;
	}

	.dis {
		display: block;
		width: 100%;
		margin-bottom: 190rpx;
	}

	.list_box1 {

		width: 90%;
		margin: 0 auto;
		height: auto;
		background: #FFFFFF;
		border-radius: 23rpx;
		box-shadow: 0rpx 5rpx 5rpx 0rpx rgba(198, 186, 181, 0.20);
		margin-top: 20rpx;
		padding-bottom: 20rpx;
	}

	.list_box {
		width: 90%;
		margin: 0 auto;
		height: auto;
		background: #FFFFFF;
		border-radius: 23rpx;
		box-shadow: 0rpx 5rpx 5rpx 0rpx rgba(198, 186, 181, 0.20);
		margin-top: 20rpx;
		padding-bottom: 20rpx;
	}

	.part1 {
		width: 90%;
		margin: 0 auto;
		justify-content: left;
		align-items: center;
		display: flex;
		height: 100rpx;
		position: relative;
	}

	.box_one {
		background: #c4e2ff;
		color: #359CFF;
		/* width: 60px;
		height: 45rpx; */
		padding: 0px 10px;
		font-size: 26rpx;
		text-align: center;
		line-height: 45rpx;
		border-radius: 5rpx;
	}

	.box_four {
		color: #666666;
		border: 1rpx solid #666666;
		font-size: 22rpx;
		width: 95px;
		height: 40rpx;
		text-align: center;
		line-height: 40rpx;
		border-radius: 5rpx;
		margin-left: 20rpx;
	}

	.box_two {
		color: #666666;
		border: 1rpx solid #666666;
		font-size: 22rpx;
		/* width: 60px; */
		height: 40rpx;
		text-align: center;
		line-height: 40rpx;
		border-radius: 5rpx;
		margin-left: 20rpx;
		padding: 0 10rpx
	}

	.box_two1 {
		width: auto;
		padding: 0 10rpx;
	}

	.box_three {
		color: #666666;
		border: 1rpx solid #666666;
		font-size: 22rpx;
		width: 75px;
		height: 40rpx;
		text-align: center;
		line-height: 40rpx;
		border-radius: 5rpx;
		margin-left: 20rpx;
	}

	.part2 {
		width: 90%;
		margin: 0 auto;
	}

	/* 下线 */
	.address_name {
		font-size: 28rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
		/* line-height: 60rpx; */
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 1;
		overflow: hidden;
	}

	.name {
		color: #999999;
		font-size: 21rpx;
	}

	.name text {
		/* margin-left: 10rpx; */
	}

	/* 上线 */
	.box_add {
		display: flex;
	}

	.distance {
		flex: 1;
		/* text-align: center; */
		font-size: 28rpx;
		display: flex;
		justify-content: left;
		align-items: center;
	}

	.a {
		font-size: 16rpx;
	}

	.add_name {
		/* display: flex; */
		flex: 4;
	}

	.sh_name {
		font-size: 28rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
	}

	.sh_name1 {
		font-size: 28rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
		color: #999999;
	}

	.xs_add {
		color: #999999;
		font-size: 21rpx;
		margin-top: 10rpx;
	}

	.jiantou {
		margin-left: 43rpx;
		display: flex;
		/* justify-content: space-between; */
		align-items: center;
		height: 40px;
		line-height: 40px;
	}

	.jiantou image {
		width: 20rpx;
		height: 40rpx;
	}

	.jiantou>view {
		margin-left: 10rpx;
	}

	.part3 {
		width: 90%;
		margin: 0 auto;
		display: flex;
	}

	.three_left {
		flex: 1;
		height: 100rpx;
		display: flex;
		justify-content: left;
		align-items: center;
	}

	.three_left image {
		width: 20px;
		height: 20px;
	}

	.three_left text {
		color: #FF7F00;
		font-size: 25rpx;
		margin-left: 10rpx;
	}

	.three_right {
		/* flex: 1; */
		height: 100rpx;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		color: #FF7F00;
		font-size: 32rpx;
		font-weight: bold;
	}

	.part4 {
		width: 90%;
		margin: 0 auto;
	}

	.box_btn {
		width: 100%;
		background: #CCCCCC;
		height: 70rpx;
		color: white;
		text-align: center;
		line-height: 70rpx;
		font-size: 26rpx;
		letter-spacing: 2rpx;
		border-radius: 8rpx;
	}

	.box_btn1 {
		width: 100%;
		background: #FF7F00;
		height: 80rpx;
		color: white;
		text-align: center;
		line-height: 80rpx;
		font-size: 31rpx;
		letter-spacing: 2rpx;
		border-radius: 8rpx;
	}

	.part_six {
		width: 90%;
		margin: 0 auto;
		display: flex;
	}

	.phone {
		flex: 1;
	}

	.phone image {
		width: 29rpx;
		height: 33rpx;
		margin-left: 30rpx;
	}

	.conmm {
		font-size: 19rpx;
		text-align: center;
		letter-spacing: 5rpx;

	}

	.box_btn2 {
		flex: 5;
		width: 100%;
		background: #FF7F00;
		height: 70rpx;
		color: white;
		text-align: center;
		line-height: 70rpx;
		font-size: 26rpx;
		letter-spacing: 2rpx;
		border-radius: 6rpx;
	}

	/* tabbar */
	.tabbar {
		position: fixed;
		bottom: 0rpx;
		left: 0rpx;
		right: 0rpx;
		width: 100%;
		height: 100rpx;
		background: #ffffff;
		display: flex;
	}

	.tabbar_type {
		flex: 1;
		text-align: center;
		font-size: 22rpx;
		margin-top: 10rpx;
	}

	.type_image {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.type_image image {
		width: 47rpx;
		height: 47rpx;
	}

	.tabbar_btn {
		flex: 4;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.btn {
		width: 90%;
		height: 80rpx;
		background: #FF7F00;
		color: white;
		text-align: center;
		line-height: 80rpx;
		font-size: 26rpx;
		letter-spacing: 2rpx;
		border-radius: 8rpx;
	}

	.btn3 {
		width: 90%;
		height: 80rpx;
		background: #CCCCCC;
		color: white;
		text-align: center;
		line-height: 80rpx;
		font-size: 26rpx;
		letter-spacing: 2rpx;
		border-radius: 8rpx;
	}

	/* 接单设置弹框 */
	.u-drawer-bottom {
		background-color: #F5F5F5 !important;
	}

	.popup_box {
		width: 90%;
		margin: 0 auto;
		margin-top: 35rpx;
	}

	.title {
		font-size: 29rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
	}

	.part_one {
		width: 100%;
		background: #ffffff;
		margin-top: 18rpx;
		border-radius: 20rpx;
		display: flex;
		height: 120rpx;
	}

	.left {
		flex: 3;
		line-height: 40rpx;
		margin-left: 20rpx;
		margin-top: 20rpx;
	}

	.gotype {
		font-size: 26rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
	}

	.tit {
		color: #999999;
		font-size: 22rpx;
		letter-spacing: 2rpx;
	}

	.right {
		flex: 1;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		margin-right: 30rpx;
	}

	.part_two {
		width: 100%;
		margin: 0 auto;
		background: #ffffff;
		border-radius: 20rpx;
		margin-top: 20rpx;
		height: 130rpx;
		display: flex;
	}

	.two_left {
		flex: 1;
		display: flex;
		justify-content: left;
		align-items: center;
		margin-left: 30rpx;
		font-size: 29rpx;
		font-weight: bold;
		letter-spacing: 2rpx;
	}

	.two_right {
		flex: 1;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		margin-right: 30rpx;
		color: #999999;
		font-size: 25rpx;
		letter-spacing: 2rpx;
	}

	.slot-content {
		padding: 30rpx;
	}

	/*  */
	.tabs_box {
		display: none;
	}

	.dis {
		display: block;
		width: 100%;
	}

	.u-tab-item {
		/* font-size: 26upx !important; */
		/* color: #666666 !important; */
	}

	.success_box {
		width: 100%;
	}

	.order_box {
		width: 90%;
		margin: 0 auto;
		/* height: 420rpx; */
		background: #FFFFFF;
		margin-top: 20rpx;
		border-radius: 16px;
	}

	.order_success {
		width: 90%;
		margin: 0 auto;
		display: flex;
		height: 80upx;
	}

	.order_name {
		flex: 1;
		display: flex;
		justify-content: left;
		align-items: center;
		font-weight: bold;
		font-size: 29rpx;
		letter-spacing: 1upx;
	}

	.order_data {
		flex: 1;
		color: #999999;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		font-size: 26rpx;
	}

	.city_type {
		width: 90%;
		margin: 0 auto;
		height: 60upx;
		line-height: 60upx;
		display: flex;
		justify-content: left;
		align-items: center;
	}

	.type_name {
		font-size: 27rpx;
	}

	.city_text {
		width: 70rpx;
		line-height: 36rpx;
		color: #49A5FF;
		background: #c4e2ff;
		text-align: center;
		font-size: 19rpx;
		margin-left: 20rpx;
	}

	.city_address {
		width: 92%;
		margin: 0 auto;
		margin-top: -10rpx;
	}

	/* 发货地址 */
	.fh_box {
		display: flex;
		/* height: 80upx; */
		margin-top: 20upx;
	}

	.fh_image {
		flex: 1;
		display: flex;
		/* justify-content: left;
		align-items: center; */
	}

	.box {
		flex: 9;
	}

	.fh_name {
		font-size: 26rpx;
		font-weight: 600;
		letter-spacing: 2upx;
	}

	.fh_type {
		color: #999999;
		font-size: 22upx;
	}

	.fh_type text {
		margin-left: 20upx;
	}

	/* 送货地址 */
	.sh_box {
		display: flex;
		margin-bottom: 14upx;
		margin-top: 14rpx;
	}

	.sh_image {
		flex: 1;
		display: flex;
		/* justify-content: left;
		align-items: center; */
	}

	.sh_name {
		font-size: 28rpx;
		font-weight: 600;
		letter-spacing: 2upx;
	}

	.sh_type {
		color: #999999;
		font-size: 22upx;
	}

	.sh_type text {
		margin-left: 20upx;
	}

	.fh_image image {
		width: 40rpx;
		height: 40rpx;
	}

	.sh_image image {
		width: 40rpx;
		height: 40rpx;
	}

	.order_btn {
		display: flex;
		justify-content: flex-end;
		align-items: center;
		height: 100upx;
		line-height: 100upx;
		/* margin-top: 8upx; */
	}

	.btn1 {
		width: 170upx;
		font-size: 28rpx;
		line-height: 60upx;
		text-align: center;
		border: 1upx solid #9C9C9C;
		border-radius: 20upx;
		color: #9C9C9C;
		margin-right: 30upx;
	}

	.btn2 {
		width: 170upx;
		line-height: 60upx;
		color: white;
		background: #FF6A04;
		font-size: 28rpx;
		text-align: center;
		margin-right: 30upx;
		border-radius: 20upx;
	}

	/* 收货码弹框 */
	.receipt_code {
		width: 90%;
		margin: 0 auto;
	}

	.code_title {
		width: 100%;
		line-height: 100rpx;
		font-size: 31rpx;
		font-weight: bold;
		text-align: center;
		letter-spacing: 2rpx;
		margin-top: 21rpx;
		margin-bottom: 25rpx;
	}

	.u-input--border {
		border: 1px solid #F2F2F2 !important;
		background: #F2F2F2 !important;
		color: #999999 !important;
		font-weight: 500 !important;
		letter-spacing: 2rpx !important;
	}

	.u-input__input {
		font-size: 30rpx;
		font-weight: bold;
		flex: 1;
		color: #999999 !important;
		min-height: 85rpx !important;
		margin-top: 7rpx;
	}

	.sure {
		width: 100%;
		height: 80rpx;
		background: #FF7F00;
		color: white;
		border-radius: 46rpx;
		text-align: center;
		line-height: 80rpx;
		margin-top: 30rpx;
		letter-spacing: 2rpx;
	}
</style>